import request from '@/utils/request'

// 查询法规列表
export function listLaws(query) {
  return request({
    url: '/check/laws/list',
    method: 'get',
    params: query
  })
}

// 查询法规详细
export function getLaws(id) {
  return request({
    url: '/check/laws/' + id,
    method: 'get'
  })
}

// 新增法规
export function addLaws(data) {
  return request({
    url: '/check/laws',
    method: 'post',
    data: data
  })
}

// 修改法规
export function updateLaws(data) {
  return request({
    url: '/check/laws',
    method: 'put',
    data: data
  })
}
export function matchLaws(data) {
  return request({
    url: '/check/laws/matchLaws',
    method: 'put',
    data: data
  })
}

// 删除法规
export function delLaws(id) {
  return request({
    url: '/check/laws/' + id,
    method: 'delete'
  })
}
